import Time from './time';
export interface AircraftType {
    iatamain: string;
    iatasub: string;
}
export interface CheckinAllocation {
    startTime: Date;
    endTime: Date;
    rows: Array<Row>;
}
export interface Row {
    position: number;
    desks: Array<Desk>;
}
export interface Desk {
    position: number;
    checkinClass: CheckinClass;
}
export interface CheckinClass {
    code: string;
    description: string;
}
export declare class Flight {
    id: number;
    flightName: string;
    scheduleDate: Date;
    isArrival: boolean;
    flightNumber: number;
    prefixIATA: string;
    prefixICAO: string;
    scheduleTime: Time | undefined;
    serviceType: string;
    mainFlight: string;
    codeshares: Array<string>;
    estimatedLandingTime: Time | undefined;
    actualLandingTime: Time | undefined;
    publicEstimatedOffBlockTime: Time | undefined;
    actualOffBlockTime: Time | undefined;
    publicFlightState: Array<string>;
    route: Array<string>;
    terminal: number;
    gate: string;
    baggageClaim: Array<string>;
    expectedTimeOnBelt: Time;
    checkinAllocations: Array<CheckinAllocation>;
    checkinAllocationRemarks: string;
    transferPositions: Array<number>;
    aircraftType: AircraftType;
    aircraftRegistration: string;
    airlineCode: number;
    expectedTimeGateOpen: Date;
    expectedTimeBoarding: Date;
    expectedTimeGateClosing: Date;
    private getScheduleDate(dateInput);
    private getTime(timeInput);
    private setCheckinAllocations(checkinAllocations);
    constructor(flightInfo: any);
}
